public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: anon_inode-and-similar: Adjust relevancy of RHEL-11792
@ 2026-09-11 13:22 Stepan Broz
  0 siblings, 0 replies; only message in thread
From: Stepan Broz @ 2026-09-11 13:22 UTC (permalink / raw)
  To: git-commits

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 6075ad3af589abaa81b28db042af776189532fb6
            Author : Stepan Broz <sbroz@redhat.com>
            Date   : 2025-05-02T10:28:57+02:00
            Stats  : +2/-0 in 1 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/6075ad3af589abaa81b28db042af776189532fb6?branch=pr775-checkpolicy-revdeps

            Log:
            anon_inode-and-similar: Adjust relevancy of RHEL-11792

Do not test RHEL-11792 on RHEL-9.3 or lower.

---
diff --git a/selinux-policy/anon_inode-and-similar/runtest.sh b/selinux-policy/anon_inode-and-similar/runtest.sh
index 3961d8b..46c25c6 100755
--- a/selinux-policy/anon_inode-and-similar/runtest.sh
+++ b/selinux-policy/anon_inode-and-similar/runtest.sh
@@ -92,10 +92,12 @@ rlJournalStart
         rlRun "fio --filename=/root/pokus --iodepth=16 --rw=write --ioengine=io_uring_cmd --bs=16k --size=2G --numjobs=30 --runtime=100s --group_reporting=1 --name=mytest" 0-255
     rlPhaseEnd
 
+    if ! rlIsRHEL "<9.4"; then
     rlPhaseStartTest "RHEL-11792"
         rlSESearchRule "allow unconfined_t unconfined_t : io_uring { cmd } [ ]"
         rlSESearchRule "allow unconfined_service_t unconfined_service_t : io_uring { cmd } [ ]"
     rlPhaseEnd
+    fi
 
     if seinfo -t | grep -q secretmem_t ; then
     rlPhaseStartTest "bz#2270895 + RHEL-60837"

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-09-11 13:22 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:22 [tests/selinux] pr775-checkpolicy-revdeps: anon_inode-and-similar: Adjust relevancy of RHEL-11792 Stepan Broz

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox